function W = wnorm(W)
% PURPOSE: normalize a spatial weight matrix
%          to have row sums of unity
% -------------------------------------------------
% NOTES: some rows can be zero, 
% ------------------------------------------------- 
n = size(W,1);

nterm = sum(W,2);

nterm(nterm==0) = 1;

nterm = 1./nterm;

A = sparse(1:n,1:n,nterm);
W = A*W;